有关 ESP-IDF 的最新支持政策，详见 [支持期限政策](https://github.com/espressif/esp-idf/blob/master/SUPPORT_POLICY_CN.md)

支持期限政策
=====================

* [英文版](./SUPPORT_POLICY.md)

ESP-IDF 的每个主要版本和次要版本（如 V4.1、V4.2 等）自其首次稳定版本发布之日起将支持 30 个月。

支持意味着 ESP-IDF 团队将会对 GitHub 上的发布分支继续进行 bug 修复、安全修补等，并根据需求定期发布新的 bugfix 版本。

支持周期包括“服务周期“和“维护周期”：

| 周期      | 期限     | 是否建议新项目使用？         |
| -------     | ------------ | ------------------------------------- |
| 服务周期     | 12 个月    | 是                                   |
| 维护周期 | 18 个月    | 否                                    |

在版本的服务周期内，bug 修复版本会较为频繁发布。某些情况下，版本在其服务周期内可能会增加对新功能的支持（这仅适用于需要达到新产品特定规管标准或要求的功能，并且引入新问题的风险极低。）

在版本的维护周期内，版本仍然会继续支持，但仅会对严重问题或安全问题进行 bug 修复。

建议在开始新项目的时候使用处于服务周期的版本。

在某一版本支持期限结束，停止更新维护 (EOL) 前，建议用户升级所有项目至较新的 ESP-IDF 版本。根据《支持期限政策》，我们将停止对 EOL 版本进行 bug 修复。

《支持期限政策》不适用于预发布版本（包括 beta、preview、-rc 和 -dev 版本等）。有时，在发布的版本中存在被标记为 "Preview" 的特定功能，则该功能也不在支持期限内。

请确保在最新的软件环境中使用 ESP-IDF。操作系统和其他第三方工具应得到其维护者的支持。ESP-IDF 无法兼容不受支持的第三方工具。

有关 [ESP-IDF 不同版本](https://docs.espressif.com/projects/esp-idf/zh_CN/latest/esp32/versions.html)（主要版本、次要版本、bugfix 版本等）信息，可参阅《ESP-IDF 编程指南》。

示例
-------

ESP-IDF V3.3 于 2019 年 9 月发布，将支持 30 个月至 2022 年 2 月停止。

- V3.3 的首个发布版本为 2019 年 9 月发布的 v3.3。
- ESP-IDF 团队将持续进行 bug 修复、安全修补等更新，并 backport 至分支 release/v3.3。
- 定期从 release 分支创建稳定的 bugfix 版本，比如，v3.3.1、v3.3.2 等，并建议用户保持使用最新的 bugfix 版本。
- V3.3 的 bugfix 版本发布将持续至 2022 年 2 月，届时所有 V3.3.x 将停止更新维护。

现有版本
-----------------

ESP-IDF V4.1 及所有后续更新版本都将遵守该《支持期限政策》。每一版本发布时将同时公布其支持期限。

对于该政策公布之日前发布的版本，应适用下述支持期限：

* ESP-IDF V4.0.x 将支持至 2021 年 10 月。
* ESP-IDF V3.3.x 将支持至 2022 年 2 月。
* ESP-IDF v3.3 之前的版本已经停止支持。

政策历史
--------------

* 2019 年 9 月。该政策将 ESP-IDF 版本发布分为标准支持版本和长期支持版本。
* 2020 年 7 月。从现在开始，所有发布的版本都将有相同的支持周期，即之前的长期支持周期。新增了”服务周期“，期间版本的更新将较为频繁。
