/*
 * SPDX-FileCopyrightText: 2024 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Apache-2.0
 */

/**
 * @brief ISP peripheral contains many submodules, whose drivers are scattered in different header files.
 *        This header file serves as a prelude, contains every thing that is needed to work with the ISP peripheral.
 */

#pragma once

#include "driver/isp_core.h"
#include "driver/isp_ae.h"
#include "driver/isp_af.h"
#include "driver/isp_awb.h"
#include "driver/isp_bf.h"
#include "driver/isp_ccm.h"
#include "driver/isp_demosaic.h"
#include "driver/isp_gamma.h"
#include "driver/isp_hist.h"
#include "driver/isp_sharpen.h"
#include "driver/isp_color.h"
#include "driver/isp_lsc.h"
