/*
 * SPDX-FileCopyrightText: 2024 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#pragma once

#define GPIO_EVT_CH0_RISE_EDGE                  1
#define GPIO_EVT_CH1_RISE_EDGE                  2
#define GPIO_EVT_CH2_RISE_EDGE                  3
#define GPIO_EVT_CH3_RISE_EDGE                  4
#define GPIO_EVT_CH4_RISE_EDGE                  5
#define GPIO_EVT_CH5_RISE_EDGE                  6
#define GPIO_EVT_CH6_RISE_EDGE                  7
#define GPIO_EVT_CH7_RISE_EDGE                  8
#define GPIO_EVT_CH0_FALL_EDGE                  9
#define GPIO_EVT_CH1_FALL_EDGE                  10
#define GPIO_EVT_CH2_FALL_EDGE                  11
#define GPIO_EVT_CH3_FALL_EDGE                  12
#define GPIO_EVT_CH4_FALL_EDGE                  13
#define GPIO_EVT_CH5_FALL_EDGE                  14
#define GPIO_EVT_CH6_FALL_EDGE                  15
#define GPIO_EVT_CH7_FALL_EDGE                  16
#define GPIO_EVT_CH0_ANY_EDGE                   17
#define GPIO_EVT_CH1_ANY_EDGE                   18
#define GPIO_EVT_CH2_ANY_EDGE                   19
#define GPIO_EVT_CH3_ANY_EDGE                   20
#define GPIO_EVT_CH4_ANY_EDGE                   21
#define GPIO_EVT_CH5_ANY_EDGE                   22
#define GPIO_EVT_CH6_ANY_EDGE                   23
#define GPIO_EVT_CH7_ANY_EDGE                   24
#define GPIO_EVT_ZERO_DET_POS0                  25
#define GPIO_EVT_ZERO_DET_NEG0                  26
#define GPIO_EVT_ZERO_DET_POS1                  27
#define GPIO_EVT_ZERO_DET_NEG1                  28
#define LEDC_EVT_DUTY_CHNG_END_CH0              29
#define LEDC_EVT_DUTY_CHNG_END_CH1              30
#define LEDC_EVT_DUTY_CHNG_END_CH2              31
#define LEDC_EVT_DUTY_CHNG_END_CH3              32
#define LEDC_EVT_DUTY_CHNG_END_CH4              33
#define LEDC_EVT_DUTY_CHNG_END_CH5              34
#define LEDC_EVT_OVF_CNT_PLS_CH0                35
#define LEDC_EVT_OVF_CNT_PLS_CH1                36
#define LEDC_EVT_OVF_CNT_PLS_CH2                37
#define LEDC_EVT_OVF_CNT_PLS_CH3                38
#define LEDC_EVT_OVF_CNT_PLS_CH4                39
#define LEDC_EVT_OVF_CNT_PLS_CH5                40
#define LEDC_EVT_TIME_OVF_TIMER0                41
#define LEDC_EVT_TIME_OVF_TIMER1                42
#define LEDC_EVT_TIME_OVF_TIMER2                43
#define LEDC_EVT_TIME_OVF_TIMER3                44
#define LEDC_EVT_TIMER0_CMP                     45
#define LEDC_EVT_TIMER1_CMP                     46
#define LEDC_EVT_TIMER2_CMP                     47
#define LEDC_EVT_TIMER3_CMP                     48
#define TG0_EVT_CNT_CMP_TIMER0                  49
#define TG0_EVT_CNT_CMP_TIMER1                  50
#define TG1_EVT_CNT_CMP_TIMER0                  51
#define TG1_EVT_CNT_CMP_TIMER1                  52
#define SYSTIMER_EVT_CNT_CMP0                   53
#define SYSTIMER_EVT_CNT_CMP1                   54
#define SYSTIMER_EVT_CNT_CMP2                   55
#define ADC_EVT_CONV_CMPLT0                     56
#define ADC_EVT_EQ_ABOVE_THRESH0                57
#define ADC_EVT_EQ_ABOVE_THRESH1                58
#define ADC_EVT_EQ_BELOW_THRESH0                59
#define ADC_EVT_EQ_BELOW_THRESH1                60
#define ADC_EVT_RESULT_DONE0                    61
#define ADC_EVT_STOPPED0                        62
#define ADC_EVT_STARTED0                        63
#define REGDMA_EVT_DONE0                        64
#define REGDMA_EVT_DONE1                        65
#define REGDMA_EVT_DONE2                        66
#define REGDMA_EVT_DONE3                        67
#define REGDMA_EVT_ERR0                         68
#define REGDMA_EVT_ERR1                         69
#define REGDMA_EVT_ERR2                         70
#define REGDMA_EVT_ERR3                         71
#define TMPSNSR_EVT_OVER_LIMIT                  72
#define I2S0_EVT_RX_DONE                        73
#define I2S0_EVT_TX_DONE                        74
#define I2S0_EVT_X_WORDS_RECEIVED               75
#define I2S0_EVT_X_WORDS_SENT                   76
#define I2S1_EVT_RX_DONE                        77
#define I2S1_EVT_TX_DONE                        78
#define I2S1_EVT_X_WORDS_RECEIVED               79
#define I2S1_EVT_X_WORDS_SENT                   80
#define RTC_EVT_TICK                            84
#define RTC_EVT_OVF                             85
#define RTC_EVT_CMP                             86
#define GDMA_EVT_IN_DONE_CH0                    87
#define GDMA_EVT_IN_DONE_CH1                    88
#define GDMA_EVT_IN_SUC_EOF_CH0                 90
#define GDMA_EVT_IN_SUC_EOF_CH1                 91
#define GDMA_EVT_IN_FIFO_EMPTY_CH0              93
#define GDMA_EVT_IN_FIFO_EMPTY_CH1              94
#define GDMA_EVT_IN_FIFO_FULL_CH0               96
#define GDMA_EVT_IN_FIFO_FULL_CH1               97
#define GDMA_EVT_OUT_DONE_CH0                   99
#define GDMA_EVT_OUT_DONE_CH1                   100
#define GDMA_EVT_OUT_EOF_CH0                    102
#define GDMA_EVT_OUT_EOF_CH1                    103
#define GDMA_EVT_OUT_TOTAL_EOF_CH0              105
#define GDMA_EVT_OUT_TOTAL_EOF_CH1              106
#define GDMA_EVT_OUT_FIFO_EMPTY_CH0             108
#define GDMA_EVT_OUT_FIFO_EMPTY_CH1             109
#define GDMA_EVT_OUT_FIFO_FULL_CH0              111
#define GDMA_EVT_OUT_FIFO_FULL_CH1              112
#define PMU_EVT_SLEEP_WEEKUP                    114
#define GPIO_TASK_CH0_SET                       1
#define GPIO_TASK_CH1_SET                       2
#define GPIO_TASK_CH2_SET                       3
#define GPIO_TASK_CH3_SET                       4
#define GPIO_TASK_CH4_SET                       5
#define GPIO_TASK_CH5_SET                       6
#define GPIO_TASK_CH6_SET                       7
#define GPIO_TASK_CH7_SET                       8
#define GPIO_TASK_CH0_CLEAR                     9
#define GPIO_TASK_CH1_CLEAR                     10
#define GPIO_TASK_CH2_CLEAR                     11
#define GPIO_TASK_CH3_CLEAR                     12
#define GPIO_TASK_CH4_CLEAR                     13
#define GPIO_TASK_CH5_CLEAR                     14
#define GPIO_TASK_CH6_CLEAR                     15
#define GPIO_TASK_CH7_CLEAR                     16
#define GPIO_TASK_CH0_TOGGLE                    17
#define GPIO_TASK_CH1_TOGGLE                    18
#define GPIO_TASK_CH2_TOGGLE                    19
#define GPIO_TASK_CH3_TOGGLE                    20
#define GPIO_TASK_CH4_TOGGLE                    21
#define GPIO_TASK_CH5_TOGGLE                    22
#define GPIO_TASK_CH6_TOGGLE                    23
#define GPIO_TASK_CH7_TOGGLE                    24
#define LEDC_TASK_TIMER0_RES_UPDATE             25
#define LEDC_TASK_TIMER1_RES_UPDATE             26
#define LEDC_TASK_TIMER2_RES_UPDATE             27
#define LEDC_TASK_TIMER3_RES_UPDATE             28
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH0         29
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH1         30
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH2         31
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH3         32
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH4         33
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH5         34
#define LEDC_TASK_TIMER0_CAP                    35
#define LEDC_TASK_TIMER1_CAP                    36
#define LEDC_TASK_TIMER2_CAP                    37
#define LEDC_TASK_TIMER3_CAP                    38
#define LEDC_TASK_SIG_OUT_DIS_CH0               39
#define LEDC_TASK_SIG_OUT_DIS_CH1               40
#define LEDC_TASK_SIG_OUT_DIS_CH2               41
#define LEDC_TASK_SIG_OUT_DIS_CH3               42
#define LEDC_TASK_SIG_OUT_DIS_CH4               43
#define LEDC_TASK_SIG_OUT_DIS_CH5               44
#define LEDC_TASK_OVF_CNT_RST_CH0               45
#define LEDC_TASK_OVF_CNT_RST_CH1               46
#define LEDC_TASK_OVF_CNT_RST_CH2               47
#define LEDC_TASK_OVF_CNT_RST_CH3               48
#define LEDC_TASK_OVF_CNT_RST_CH4               49
#define LEDC_TASK_OVF_CNT_RST_CH5               50
#define LEDC_TASK_TIMER0_RST                    51
#define LEDC_TASK_TIMER1_RST                    52
#define LEDC_TASK_TIMER2_RST                    53
#define LEDC_TASK_TIMER3_RST                    54
#define LEDC_TASK_TIMER0_RESUME                 55
#define LEDC_TASK_TIMER1_RESUME                 56
#define LEDC_TASK_TIMER2_RESUME                 57
#define LEDC_TASK_TIMER3_RESUME                 58
#define LEDC_TASK_TIMER0_PAUSE                  59
#define LEDC_TASK_TIMER1_PAUSE                  60
#define LEDC_TASK_TIMER2_PAUSE                  61
#define LEDC_TASK_TIMER3_PAUSE                  62
#define LEDC_TASK_GAMMA_RESTART_CH0             63
#define LEDC_TASK_GAMMA_RESTART_CH1             64
#define LEDC_TASK_GAMMA_RESTART_CH2             65
#define LEDC_TASK_GAMMA_RESTART_CH3             66
#define LEDC_TASK_GAMMA_RESTART_CH4             67
#define LEDC_TASK_GAMMA_RESTART_CH5             68
#define LEDC_TASK_GAMMA_PAUSE_CH0               69
#define LEDC_TASK_GAMMA_PAUSE_CH1               70
#define LEDC_TASK_GAMMA_PAUSE_CH2               71
#define LEDC_TASK_GAMMA_PAUSE_CH3               72
#define LEDC_TASK_GAMMA_PAUSE_CH4               73
#define LEDC_TASK_GAMMA_PAUSE_CH5               74
#define LEDC_TASK_GAMMA_RESUME_CH0              75
#define LEDC_TASK_GAMMA_RESUME_CH1              76
#define LEDC_TASK_GAMMA_RESUME_CH2              77
#define LEDC_TASK_GAMMA_RESUME_CH3              78
#define LEDC_TASK_GAMMA_RESUME_CH4              79
#define LEDC_TASK_GAMMA_RESUME_CH5              80
#define TG0_TASK_CNT_START_TIMER0               81
#define TG0_TASK_ALARM_START_TIMER0             82
#define TG0_TASK_CNT_STOP_TIMER0                83
#define TG0_TASK_CNT_RELOAD_TIMER0              84
#define TG0_TASK_CNT_CAP_TIMER0                 85
#define TG0_TASK_CNT_START_TIMER1               86
#define TG0_TASK_ALARM_START_TIMER1             87
#define TG0_TASK_CNT_STOP_TIMER1                88
#define TG0_TASK_CNT_RELOAD_TIMER1              89
#define TG0_TASK_CNT_CAP_TIMER1                 90
#define TG1_TASK_CNT_START_TIMER0               91
#define TG1_TASK_ALARM_START_TIMER0             92
#define TG1_TASK_CNT_STOP_TIMER0                93
#define TG1_TASK_CNT_RELOAD_TIMER0              94
#define TG1_TASK_CNT_CAP_TIMER0                 95
#define TG1_TASK_CNT_START_TIMER1               96
#define TG1_TASK_ALARM_START_TIMER1             97
#define TG1_TASK_CNT_STOP_TIMER1                98
#define TG1_TASK_CNT_RELOAD_TIMER1              99
#define TG1_TASK_CNT_CAP_TIMER1                 100
#define ADC_TASK_SAMPLE0                        101
#define ADC_TASK_SAMPLE1                        102
#define ADC_TASK_START0                         103
#define ADC_TASK_STOP0                          104
#define REGDMA_TASK_START0                      105
#define REGDMA_TASK_START1                      106
#define REGDMA_TASK_START2                      107
#define REGDMA_TASK_START3                      108
#define TMPSNSR_TASK_START_SAMPLE               109
#define TMPSNSR_TASK_STOP_SAMPLE                110
#define I2S0_TASK_START_RX                      111
#define I2S0_TASK_START_TX                      112
#define I2S0_TASK_STOP_RX                       113
#define I2S0_TASK_STOP_TX                       114
#define I2S1_TASK_START_RX                      115
#define I2S1_TASK_START_TX                      116
#define I2S1_TASK_STOP_RX                       117
#define I2S1_TASK_STOP_TX                       118
#define RTC_TASK_START                          121
#define RTC_TASK_STOP                           122
#define RTC_TASK_CLR                            123
#define RTC_TASK_TRIGGERFLW                     124
#define GDMA_TASK_IN_START_CH0                  125
#define GDMA_TASK_IN_START_CH1                  126
#define GDMA_TASK_OUT_START_CH0                 128
#define GDMA_TASK_OUT_START_CH1                 129
#define PMU_TASK_SLEEP_REQ                      131
