/*
 * SPDX-FileCopyrightText: 2022 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Apache-2.0
 */
#pragma once

#define GPIO_EVT_CH0_RISE_EDGE                             1
#define GPIO_EVT_CH1_RISE_EDGE                             2
#define GPIO_EVT_CH2_RISE_EDGE                             3
#define GPIO_EVT_CH3_RISE_EDGE                             4
#define GPIO_EVT_CH4_RISE_EDGE                             5
#define GPIO_EVT_CH5_RISE_EDGE                             6
#define GPIO_EVT_CH6_RISE_EDGE                             7
#define GPIO_EVT_CH7_RISE_EDGE                             8
#define GPIO_EVT_CH0_FALL_EDGE                             9
#define GPIO_EVT_CH1_FALL_EDGE                             10
#define GPIO_EVT_CH2_FALL_EDGE                             11
#define GPIO_EVT_CH3_FALL_EDGE                             12
#define GPIO_EVT_CH4_FALL_EDGE                             13
#define GPIO_EVT_CH5_FALL_EDGE                             14
#define GPIO_EVT_CH6_FALL_EDGE                             15
#define GPIO_EVT_CH7_FALL_EDGE                             16
#define GPIO_EVT_CH0_ANY_EDGE                              17
#define GPIO_EVT_CH1_ANY_EDGE                              18
#define GPIO_EVT_CH2_ANY_EDGE                              19
#define GPIO_EVT_CH3_ANY_EDGE                              20
#define GPIO_EVT_CH4_ANY_EDGE                              21
#define GPIO_EVT_CH5_ANY_EDGE                              22
#define GPIO_EVT_CH6_ANY_EDGE                              23
#define GPIO_EVT_CH7_ANY_EDGE                              24
#define LEDC_EVT_DUTY_CHNG_END_CH0                         25
#define LEDC_EVT_DUTY_CHNG_END_CH1                         26
#define LEDC_EVT_DUTY_CHNG_END_CH2                         27
#define LEDC_EVT_DUTY_CHNG_END_CH3                         28
#define LEDC_EVT_DUTY_CHNG_END_CH4                         29
#define LEDC_EVT_DUTY_CHNG_END_CH5                         30
#define LEDC_EVT_OVF_CNT_PLS_CH0                           31
#define LEDC_EVT_OVF_CNT_PLS_CH1                           32
#define LEDC_EVT_OVF_CNT_PLS_CH2                           33
#define LEDC_EVT_OVF_CNT_PLS_CH3                           34
#define LEDC_EVT_OVF_CNT_PLS_CH4                           35
#define LEDC_EVT_OVF_CNT_PLS_CH5                           36
#define LEDC_EVT_TIME_OVF_TIMER0                           37
#define LEDC_EVT_TIME_OVF_TIMER1                           38
#define LEDC_EVT_TIME_OVF_TIMER2                           39
#define LEDC_EVT_TIME_OVF_TIMER3                           40
#define LEDC_EVT_TIMER0_CMP                                41
#define LEDC_EVT_TIMER1_CMP                                42
#define LEDC_EVT_TIMER2_CMP                                43
#define LEDC_EVT_TIMER3_CMP                                44
#define PCNT_EVT_CNT_EQ_THRESH                             45
#define PCNT_EVT_CNT_EQ_LMT                                46
#define PCNT_EVT_CNT_EQ_ZERO                               47
#define TIMER0_EVT_CNT_CMP_TIMER0                          48
#define TIMER1_EVT_CNT_CMP_TIMER0                          49
#define SYSTIMER_EVT_CNT_CMP0                              50
#define SYSTIMER_EVT_CNT_CMP1                              51
#define SYSTIMER_EVT_CNT_CMP2                              52
#define RMT_EVT_TX_END                                     53
#define RMT_EVT_TX_LOOP                                    54
#define RMT_EVT_RX_END                                     55
#define RMT_EVT_TX_THRESH                                  56
#define RMT_EVT_RX_THRESH                                  57
#define MCPWM_EVT_TIMER0_STOP                              58
#define MCPWM_EVT_TIMER1_STOP                              59
#define MCPWM_EVT_TIMER2_STOP                              60
#define MCPWM_EVT_TIMER0_TEZ                               61
#define MCPWM_EVT_TIMER1_TEZ                               62
#define MCPWM_EVT_TIMER2_TEZ                               63
#define MCPWM_EVT_TIMER0_TEP                               64
#define MCPWM_EVT_TIMER1_TEP                               65
#define MCPWM_EVT_TIMER2_TEP                               66
#define MCPWM_EVT_OP0_TEA                                  67
#define MCPWM_EVT_OP1_TEA                                  68
#define MCPWM_EVT_OP2_TEA                                  69
#define MCPWM_EVT_OP0_TEB                                  70
#define MCPWM_EVT_OP1_TEB                                  71
#define MCPWM_EVT_OP2_TEB                                  72
#define MCPWM_EVT_F0                                       73
#define MCPWM_EVT_F1                                       74
#define MCPWM_EVT_F2                                       75
#define MCPWM_EVT_F0_CLR                                   76
#define MCPWM_EVT_F1_CLR                                   77
#define MCPWM_EVT_F2_CLR                                   78
#define MCPWM_EVT_TZ0_CBC                                  79
#define MCPWM_EVT_TZ1_CBC                                  80
#define MCPWM_EVT_TZ2_CBC                                  81
#define MCPWM_EVT_TZ0_OST                                  82
#define MCPWM_EVT_TZ1_OST                                  83
#define MCPWM_EVT_TZ2_OST                                  84
#define MCPWM_EVT_CAP0                                     85
#define MCPWM_EVT_CAP1                                     86
#define MCPWM_EVT_CAP2                                     87
#define ADC_EVT_CONV_CMPLT0                                88
#define ADC_EVT_EQ_ABOVE_THRESH0                           89
#define ADC_EVT_EQ_ABOVE_THRESH1                           90
#define ADC_EVT_EQ_BELOW_THRESH0                           91
#define ADC_EVT_EQ_BELOW_THRESH1                           92
#define ADC_EVT_RESULT_DONE0                               93
#define ADC_EVT_STOPPED0                                   94
#define ADC_EVT_STARTED0                                   95
#define REGDMA_EVT_DONE0                                   96
#define REGDMA_EVT_DONE1                                   97
#define REGDMA_EVT_DONE2                                   98
#define REGDMA_EVT_DONE3                                   99
#define REGDMA_EVT_ERR0                                    100
#define REGDMA_EVT_ERR1                                    101
#define REGDMA_EVT_ERR2                                    102
#define REGDMA_EVT_ERR3                                    103
#define PDMA_EVT_TX_DONE                                   104
#define PDMA_EVT_OUT_EOF                                   105
#define PDMA_EVT_IN_SUC_EOF                                106
#define PDMA_EVT_FULL_OR_EMPTY                             107
#define PDMA_EVT_ALL_DONE                                  108
#define PDMA_EVT_RX_DONE                                   109
#define TMPSNSR_EVT_OVER_LIMIT                             110
#define UART_EVT_REC_DATA_OVF0                             111
#define UART_EVT_REC_DATA_OVF1                             112
#define UART_EVT_TX_DONE0                                  113
#define UART_EVT_TX_DONE1                                  114
#define UART_EVT_TIMEOUT0                                  115
#define UART_EVT_TIMEOUT1                                  116
#define UART_EVT_ERR0                                      117
#define UART_EVT_ERR1                                      118
#define UART_EVT_CTS0                                      119
#define UART_EVT_CTS1                                      120
#define UART_EVT_TX_EMPTY0                                 121
#define UART_EVT_TX_EMPTY1                                 122
#define UART_EVT_AT_PATTERNS0                              123
#define UART_EVT_AT_PATTERNS1                              124
#define SPI_EVT_STOPPED                                    125
#define I2S_EVT_RX_DONE                                    126
#define I2S_EVT_TX_DONE                                    127
#define I2S_EVT_X_WORDS_RECEIVED                           128
#define I2S_EVT_X_WORDS_SENT                               129
#define I2C_EVT_TRANS_DONE                                 130
#define LCDCAM_EVT_TRANS_DONE                              131
#define CAN_EVT_TRANS_DONE                                 132
#define ULP_EVT_ERR_INTR                                   133
#define ULP_EVT_START_INTR                                 134
#define RTC_EVT_TICK                                       135
#define RTC_EVT_OVF                                        136
#define RTC_EVT_CMP                                        137
#define GDMA_EVT_IN_DONE_CH0                               138
#define GDMA_EVT_IN_DONE_CH1                               139
#define GDMA_EVT_IN_DONE_CH2                               140
#define GDMA_EVT_IN_SUC_EOF_CH0                            141
#define GDMA_EVT_IN_SUC_EOF_CH1                            142
#define GDMA_EVT_IN_SUC_EOF_CH2                            143
#define GDMA_EVT_IN_FIFO_EMPTY_CH0                         144
#define GDMA_EVT_IN_FIFO_EMPTY_CH1                         145
#define GDMA_EVT_IN_FIFO_EMPTY_CH2                         146
#define GDMA_EVT_IN_FIFO_FULL_CH0                          147
#define GDMA_EVT_IN_FIFO_FULL_CH1                          148
#define GDMA_EVT_IN_FIFO_FULL_CH2                          149
#define GDMA_EVT_OUT_DONE_CH0                              150
#define GDMA_EVT_OUT_DONE_CH1                              151
#define GDMA_EVT_OUT_DONE_CH2                              152
#define GDMA_EVT_OUT_EOF_CH0                               153
#define GDMA_EVT_OUT_EOF_CH1                               154
#define GDMA_EVT_OUT_EOF_CH2                               155
#define GDMA_EVT_OUT_TOTAL_EOF_CH0                         156
#define GDMA_EVT_OUT_TOTAL_EOF_CH1                         157
#define GDMA_EVT_OUT_TOTAL_EOF_CH2                         158
#define GDMA_EVT_OUT_FIFO_EMPTY_CH0                        159
#define GDMA_EVT_OUT_FIFO_EMPTY_CH1                        160
#define GDMA_EVT_OUT_FIFO_EMPTY_CH2                        161
#define GDMA_EVT_OUT_FIFO_FULL_CH0                         162
#define GDMA_EVT_OUT_FIFO_FULL_CH1                         163
#define GDMA_EVT_OUT_FIFO_FULL_CH2                         164
#define PMU_EVT_SLEEP_WEEKUP                               165
#define GPIO_TASK_CH0_SET                                  1
#define GPIO_TASK_CH1_SET                                  2
#define GPIO_TASK_CH2_SET                                  3
#define GPIO_TASK_CH3_SET                                  4
#define GPIO_TASK_CH4_SET                                  5
#define GPIO_TASK_CH5_SET                                  6
#define GPIO_TASK_CH6_SET                                  7
#define GPIO_TASK_CH7_SET                                  8
#define GPIO_TASK_CH0_CLEAR                                9
#define GPIO_TASK_CH1_CLEAR                                10
#define GPIO_TASK_CH2_CLEAR                                11
#define GPIO_TASK_CH3_CLEAR                                12
#define GPIO_TASK_CH4_CLEAR                                13
#define GPIO_TASK_CH5_CLEAR                                14
#define GPIO_TASK_CH6_CLEAR                                15
#define GPIO_TASK_CH7_CLEAR                                16
#define GPIO_TASK_CH0_TOGGLE                               17
#define GPIO_TASK_CH1_TOGGLE                               18
#define GPIO_TASK_CH2_TOGGLE                               19
#define GPIO_TASK_CH3_TOGGLE                               20
#define GPIO_TASK_CH4_TOGGLE                               21
#define GPIO_TASK_CH5_TOGGLE                               22
#define GPIO_TASK_CH6_TOGGLE                               23
#define GPIO_TASK_CH7_TOGGLE                               24
#define LEDC_TASK_TIMER0_RES_UPDATE                        25
#define LEDC_TASK_TIMER1_RES_UPDATE                        26
#define LEDC_TASK_TIMER2_RES_UPDATE                        27
#define LEDC_TASK_TIMER3_RES_UPDATE                        28
#define LEDC_TASK_RESERVED0                                29
#define LEDC_TASK_RESERVED1                                30
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH0                    31
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH1                    32
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH2                    33
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH3                    34
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH4                    35
#define LEDC_TASK_DUTY_SCALE_UPDATE_CH5                    36
#define LEDC_TASK_TIMER0_CAP                               37
#define LEDC_TASK_TIMER1_CAP                               38
#define LEDC_TASK_TIMER2_CAP                               39
#define LEDC_TASK_TIMER3_CAP                               40
#define LEDC_TASK_SIG_OUT_DIS_CH0                          41
#define LEDC_TASK_SIG_OUT_DIS_CH1                          42
#define LEDC_TASK_SIG_OUT_DIS_CH2                          43
#define LEDC_TASK_SIG_OUT_DIS_CH3                          44
#define LEDC_TASK_SIG_OUT_DIS_CH4                          45
#define LEDC_TASK_SIG_OUT_DIS_CH5                          46
#define LEDC_TASK_OVF_CNT_RST_CH0                          47
#define LEDC_TASK_OVF_CNT_RST_CH1                          48
#define LEDC_TASK_OVF_CNT_RST_CH2                          49
#define LEDC_TASK_OVF_CNT_RST_CH3                          50
#define LEDC_TASK_OVF_CNT_RST_CH4                          51
#define LEDC_TASK_OVF_CNT_RST_CH5                          52
#define LEDC_TASK_TIMER0_RST                               53
#define LEDC_TASK_TIMER1_RST                               54
#define LEDC_TASK_TIMER2_RST                               55
#define LEDC_TASK_TIMER3_RST                               56
#define LEDC_TASK_TIMER0_RESUME                            57
#define LEDC_TASK_TIMER1_RESUME                            58
#define LEDC_TASK_TIMER2_RESUME                            59
#define LEDC_TASK_TIMER3_RESUME                            60
#define LEDC_TASK_TIMER0_PAUSE                             61
#define LEDC_TASK_TIMER1_PAUSE                             62
#define LEDC_TASK_TIMER2_PAUSE                             63
#define LEDC_TASK_TIMER3_PAUSE                             64
#define LEDC_TASK_GAMMA_RESTART_CH0                        65
#define LEDC_TASK_GAMMA_RESTART_CH1                        66
#define LEDC_TASK_GAMMA_RESTART_CH2                        67
#define LEDC_TASK_GAMMA_RESTART_CH3                        68
#define LEDC_TASK_GAMMA_RESTART_CH4                        69
#define LEDC_TASK_GAMMA_RESTART_CH5                        70
#define LEDC_TASK_GAMMA_PAUSE_CH0                          71
#define LEDC_TASK_GAMMA_PAUSE_CH1                          72
#define LEDC_TASK_GAMMA_PAUSE_CH2                          73
#define LEDC_TASK_GAMMA_PAUSE_CH3                          74
#define LEDC_TASK_GAMMA_PAUSE_CH4                          75
#define LEDC_TASK_GAMMA_PAUSE_CH5                          76
#define LEDC_TASK_GAMMA_RESUME_CH0                         77
#define LEDC_TASK_GAMMA_RESUME_CH1                         78
#define LEDC_TASK_GAMMA_RESUME_CH2                         79
#define LEDC_TASK_GAMMA_RESUME_CH3                         80
#define LEDC_TASK_GAMMA_RESUME_CH4                         81
#define LEDC_TASK_GAMMA_RESUME_CH5                         82
#define PCNT_TASK_START                                    83
#define PCNT_TASK_STOP                                     84
#define PCNT_TASK_CNT_INC                                  85
#define PCNT_TASK_CNT_DEC                                  86
#define PCNT_TASK_CNT_RST                                  87
#define TIMER0_TASK_CNT_START_TIMER0                       88
#define TIMER1_TASK_CNT_START_TIMER0                       89
#define TIMER0_TASK_ALARM_START_TIMER0                     90
#define TIMER1_TASK_ALARM_START_TIMER0                     91
#define TIMER0_TASK_CNT_STOP_TIMER0                        92
#define TIMER1_TASK_CNT_STOP_TIMER0                        93
#define TIMER0_TASK_CNT_RELOAD_TIMER0                      94
#define TIMER1_TASK_CNT_RELOAD_TIMER0                      95
#define TIMER0_TASK_CNT_CAP_TIMER0                         96
#define TIMER1_TASK_CNT_CAP_TIMER0                         97
#define RMT_TASK_TX_START                                  98
#define RMT_TASK_TX_STOP                                   99
#define RMT_TASK_RX_DONE                                   100
#define RMT_TASK_RX_START                                  101
#define MCPWM_TASK_CMPR0_A_UP                              102
#define MCPWM_TASK_CMPR1_A_UP                              103
#define MCPWM_TASK_CMPR2_A_UP                              104
#define MCPWM_TASK_CMPR0_B_UP                              105
#define MCPWM_TASK_CMPR1_B_UP                              106
#define MCPWM_TASK_CMPR2_B_UP                              107
#define MCPWM_TASK_GEN_STOP                                108
#define MCPWM_TASK_TIMER0_SYN                              109
#define MCPWM_TASK_TIMER1_SYN                              110
#define MCPWM_TASK_TIMER2_SYN                              111
#define MCPWM_TASK_TIMER0_PERIOD_UP                        112
#define MCPWM_TASK_TIMER1_PERIOD_UP                        113
#define MCPWM_TASK_TIMER2_PERIOD_UP                        114
#define MCPWM_TASK_TZ0_OST                                 115
#define MCPWM_TASK_TZ1_OST                                 116
#define MCPWM_TASK_TZ2_OST                                 117
#define MCPWM_TASK_CLR0_OST                                118
#define MCPWM_TASK_CLR1_OST                                119
#define MCPWM_TASK_CLR2_OST                                120
#define MCPWM_TASK_CAP0                                    121
#define MCPWM_TASK_CAP1                                    122
#define MCPWM_TASK_CAP2                                    123
#define ADC_TASK_SAMPLE0                                   124
#define ADC_TASK_SAMPLE1                                   125
#define ADC_TASK_START0                                    126
#define ADC_TASK_STOP0                                     127
#define REGDMA_TASK_START0                                 128
#define REGDMA_TASK_START1                                 129
#define REGDMA_TASK_START2                                 130
#define REGDMA_TASK_START3                                 131
#define PDMA_TASK_START_TX                                 132
#define PDMA_TASK_START_RX                                 133
#define PDMA_TASK_STOP                                     134
#define TMPSNSR_TASK_START_SAMPLE                          135
#define TMPSNSR_TASK_STOP_SAMPLE                           136
#define UART_TASK_TX_START0                                137
#define UART_TASK_TX_START1                                138
#define UART_TASK_TX_STOP0                                 139
#define UART_TASK_TX_STOP1                                 140
#define UART_TASK_RX_START0                                141
#define UART_TASK_RX_START1                                142
#define UART_TASK_RX_STOP0                                 143
#define UART_TASK_RX_STOP1                                 144
#define SPI_TASK_TX_START                                  145
#define SPI_TASK_SLAVE_HD                                  146
#define SPI_TASK_STOP                                      147
#define I2S_TASK_START_RX                                  148
#define I2S_TASK_START_TX                                  149
#define I2S_TASK_STOP_RX                                   150
#define I2S_TASK_STOP_TX                                   151
#define I2C_TASK_START_TRANS                               152
#define CAN_TASK_TRANS_START                               153
#define ULP_TASK_WAKEUP_CPU                                154
#define RTC_TASK_START                                     155
#define RTC_TASK_STOP                                      156
#define RTC_TASK_CLR                                       157
#define RTC_TASK_TRIGGERFLW                                158
#define GDMA_TASK_IN_START_CH0                             159
#define GDMA_TASK_IN_START_CH1                             160
#define GDMA_TASK_IN_START_CH2                             161
#define GDMA_TASK_OUT_START_CH0                            162
#define GDMA_TASK_OUT_START_CH1                            163
#define GDMA_TASK_OUT_START_CH2                            164
#define PMU_TASK_SLEEP_REQ                                 165
