/*
 * SPDX-FileCopyrightText: 2025 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include "soc/interrupts.h"

const char *const esp_isr_names[] = {
    [0] = "WIFI_MAC",
    [1] = "WIFI_MAC_NMI",
    [2] = "WIFI_PWR",
    [3] = "WIFI_BB",
    [4] = "BT_MAC",
    [5] = "BT_BB",
    [6] = "BT_BB_NMI",
    [7] = "LP_TIMER",
    [8] = "COEX",
    [9] = "BLE_TIMER",
    [10] = "BLE_SEC",
    [11] = "I2C_MST",
    [12] = "ZB_MAC",
    [13] = "MODEM_APB_TIMEOUT",
    [14] = "BT_MAC_INT1",
    [15] = "PMU",
    [16] = "EFUSE",
    [17] = "LP_RTC_TIMER",
    [18] = "LP_RTC_BLE_TIMER",
    [19] = "LP_WDT",
    [20] = "TOUCH",
    [21] = "HUK",
    [22] = "CPU_FROM_CPU_0",
    [23] = "CPU_FROM_CPU_1",
    [24] = "CPU_FROM_CPU_2",
    [25] = "CPU_FROM_CPU_3",
    [26] = "BUS_MONITOR",
    [27] = "CORE0_TRACE",
    [28] = "CORE1_TRACE",
    [29] = "CACHE",
    [30] = "CPU_PERI_TIMEOUT",
    [31] = "GPIO_INTERRUPT_PRO",
    [32] = "GPIO_INTERRUPT_2",
    [33] = "PAU",
    [34] = "HP_PERI_TIMEOUT",
    [35] = "HP_APM_M0",
    [36] = "HP_APM_M1",
    [37] = "HP_APM_M2",
    [38] = "HP_APM_M3",
    [39] = "HP_APM_M4",
    [40] = "CPU_APM_M0",
    [41] = "CPU_APM_M1",
    [42] = "CPU_APM_M2",
    [43] = "CPU_APM_M3",
    [44] = "MSPI",
    [45] = "I2S",
    [46] = "UHCI0",
    [47] = "UART0",
    [48] = "UART1",
    [49] = "LEDC",
    [50] = "TWAI0",
    [51] = "TWAI0_TIMER",
    [52] = "USB_SERIAL_JTAG",
    [53] = "RMT",
    [54] = "I2C_EXT0",
    [55] = "I2C_EXT1",
    [56] = "TG0_T0",
    [57] = "TG0_WDT",
    [58] = "TG1_T0",
    [59] = "TG1_WDT",
    [60] = "SYSTIMER_TARGET0",
    [61] = "SYSTIMER_TARGET1",
    [62] = "SYSTIMER_TARGET2",
    [63] = "APB_ADC",
    [64] = "PWM0",
    [65] = "PWM1",
    [66] = "PCNT",
    [67] = "PARL_IO_TX",
    [68] = "PARL_IO_RX",
    [69] = "USB_OTG11",
    [70] = "ASRC_CHNL0",
    [71] = "ASRC_CHNL1",
    [72] = "ZERO_DET",
    [73] = "DMA_IN_CH0",
    [74] = "DMA_IN_CH1",
    [75] = "DMA_IN_CH2",
    [76] = "DMA_IN_CH3",
    [77] = "DMA_IN_CH4",
    [78] = "DMA_OUT_CH0",
    [79] = "DMA_OUT_CH1",
    [80] = "DMA_OUT_CH2",
    [81] = "DMA_OUT_CH3",
    [82] = "DMA_OUT_CH4",
    [83] = "GPSPI2",
    [84] = "GPSPI3",
    [85] = "AES",
    [86] = "SHA",
    [87] = "ECC",
    [88] = "ECDSA",
    [89] = "KM",
};
